/*
Theme Name: Salient Child Theme
Description: This is a custom child theme for Salient
Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266
Author: ThemeNectar
Author URI:  https://themeforest.net/user/themenectar
Template: salient
Version: 1.0
*/

/**
 * Header design
 */

#header-outer #logo,
#header-outer .logo-clone,
#header-outer .logo-spacing,
#header-outer.small-nav #logo,
#header-outer.small-nav .logo-clone,
#header-outer.small-nav .logo-spacing {
	margin-top: 15px;
	margin-bottom: 15px;
}

#header-outer[data-format=centered-menu] #top nav > .sf-menu > li.menu-item-has-children {
	white-space: nowrap;
}

@media only screen and (min-width: 1000px) and (max-width: 1199px) {

	#header-outer #logo img,
	#header-outer .logo-clone img,
	#header-outer .logo-spacing img,
	#header-outer.small-nav #logo img,
	#header-outer.small-nav .logo-clone img,
	#header-outer.small-nav .logo-spacing img {
		height: 50px;
	}

	#header-outer #top nav > .sf-menu:not(.buttons) > li {
		max-width: 120px;
	}

	#header-outer #top nav > .sf-menu:not(.buttons) > li > a {
		margin-left: 12px;
		margin-right: 12px;
	}

}

@media only screen and (min-width: 1px) and (max-width: 999px) {

	#header-outer #top .col.span_3 #logo {
		margin-top: -4px;
		margin-bottom: -4px;
	}

}

/**
 * Content design
 */

.woocommerce .woocommerce-result-count,
.woocommerce-page .woocommerce-result-count {
	font-size: 0.8em;
}

.kl-d-inline-block {
    display: inline-block;
}

h3.kl-home-animated-slogan {
    margin-bottom: 0 !important;
}

.nectar-button.kl-home-icon-button {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
	gap: 5px;
    padding-left: 30px !important;
	padding-right: 30px !important;
    width: 195px !important;
}

.nectar-button.see-through.kl-home-icon-button {
    padding-left: 28px !important;
	padding-right: 28px !important;
}

.nectar-button.kl-home-icon-button span {
    margin-top: 0 !important;
	font-size: 16px !important;
    transform: none !important;
    white-space: nowrap;
}

.nectar-button.kl-home-icon-button i {
    flex: 0 0 32px;
    position: static !important;
	font-size: 24px !important;
    transform: none !important;
    line-height: 20px !important;
    height: 20px !important;
}

.kl-home-promises {
	min-width: 600px;
}

.kl-home-promises > .row_col_wrap_12_inner > div:not(:first-child) {
    border-left: 1px solid #d9d9d9;
}

.kl-home-promise {
    font-size: 0.8em;
    line-height: 1.1;
    white-space: nowrap;
}

.kl-home-brand-logos > .row_col_wrap_12_inner > div:not(:last-child) {
    border-right: 1px solid #e0e3e7;
}

.kl-home-brand-logo {
	width: auto;
	max-height: 60px;
}

/**
 * Responsive tablepress
 */

.kl-tablepress-wrapper {
	overflow-x: auto !important;
}

/* Archive product loop */
.woocommerce ul.products li.product .woocommerce-loop-product__title {
	font-size: 1.3em;
	line-height: 1.4;
}

.woocommerce ul.products li.product .loop-product-excerpt {
	margin-top: 6px;
	font-size: 0.9em;
	line-height: 1.35;
	opacity: 0.85;
}

.woocommerce ul.products li.product .loop-product-excerpt ul li {
	list-style: circle;
    margin: 0 0 5px 14px;
	text-align: left;
}

.woocommerce ul.products li.product .product-add-to-cart a {
	font-size: 14px !important;
}

.woocommerce ul.products li.product .product-add-to-cart a .fa {
	top: -4px;
	width: 16px;
	font-size: 16px !important;
}

.woocommerce ul.products li.product .product-add-to-cart a .normal.icon-salient-m-eye[class*=" icon-"] {
	display: inline-block;
	padding: 0 !important;
	font-weight: 600;
}

.woocommerce ul.products li.product .product-add-to-cart a span {
	margin-left: 5px;
}

.woocommerce .nectar-quick-view-box .nectar-full-product-link a {
	background-color: #2a3896 !important;
	color: #fff;
	font-size: 16px !important;
}

.woocommerce .nectar-quick-view-box .nectar-full-product-link a span {
	background-image: linear-gradient(to right, #fff 0, #fff 100%);
}

body.woocommerce.tax-product_cat .kl-hidden-category {
	background-color: inherit !important;
}

/* Single product design */
body.single-product .custom-ask-offer-button {
	margin-bottom: 20px;
	background-color: #2a3896;
}

body.single-product .tablepress {
	--head-bg-color: #2a3896;
	--head-text-color: #fff;
	--head-sort-arrow-color: #fff;
}

/* About us design */
.kl-team-members .team-member {
	margin-bottom: 0 !important;
}

.kl-team-members .team-member .position {
	font-size: 16px !important;
	line-height: 1.6 !important;
}

/* CF7 design */
.wpcf7 p {
	padding-bottom: 0.5em;
}

.wpcf7 select {
	height: 48px;
}

/* Footer logogs */
.kl-footer-logos {
	flex-wrap: wrap !important;
	gap: 10px 0;
}

.kl-footer-logos > div {
	flex: 1 1 30% !important;
	min-width: 100px;
}

.kl-footer-logos .aligncenter {
	margin-top: 0 !important;
	margin-bottom: 0 !important;
}

.kl-footer-logos img {
	margin-bottom: 0 !important;
	min-width: 100px;
	max-height: 80px;
}

@media only screen and (max-width: 1349px) {

	.kl-product-cat-form {
		padding-top: 40px !important;
	}

	.kl-product-cat-desc {
		padding-bottom: 60px !important;
	}

}

@media only screen and (min-width : 1000px) and (max-width : 1299px) {

    .kl-home-promises {
		min-width: 0;
        max-width: 320px !important;
    }

    .kl-home-promises > .row_col_wrap_12_inner > div:nth-child(odd) {
        border-left: 0;
    }

    .kl-home-promises > .row_col_wrap_12_inner > div:nth-child(-n+2) {
        margin-bottom: 20px !important;
    }

}

@media only screen and (min-width: 1000px) {

	body.single-product .woocommerce .nectar-woo-flickity[data-controls*=arrows] .nectar-woo-carousel-top {
		bottom: 0;
		margin-bottom: 0;
		top: unset;
		transform: unset;
		min-height: 70px;
	}

	body.single-product .woocommerce .nectar-woo-flickity[data-controls*=arrows] .nectar-woo-carousel-top:has(button:not(:disabled))::before {
		content: "";
		display: block;
		position: absolute;
		width: 100vw;
		height: 100%;
		left: 50%;
		background-color: rgba(0, 0, 0, 0.03);
		transform: translateX(-50%);
		z-index: -1;
	}
	
	body.single-product .woocommerce .nectar-woo-flickity[data-controls*=arrows] .nectar-woo-carousel-top button:after {
		background-color: transparent !important;
	}

}

@media only screen and (min-width: 1000px) and (max-width: 1169px) {

	.nectar-split-heading.kl-tablet-h1 h1 {
		font-size: 54px;
		line-height: 58px;
	}

}

@media only screen and (max-width: 999px) {

    .kl-home-promises {
		min-width: 0;
	}

    .wpb_wrapper h1.vc_custom_heading.kl-home-slogan {
        font-size: 1em !important;
        line-height: 1 !important;
    }

    .wpb_wrapper h2.vc_custom_heading.kl-home-main-title {
        font-size: 54px !important;
        line-height: 1 !important;
    }

    .kl-home-promises > .row_col_wrap_12_inner > div:nth-child(odd) {
        border-left: 0;
    }

    .kl-home-promises > .row_col_wrap_12_inner > div:nth-child(-n+2) {
        margin-bottom: 20px !important;
    }

    .kl-home-brand-logos > .row_col_wrap_12_inner > div:not(:last-child) {
        border-right: 0;
    }

    .kl-home-brand-logos > .row_col_wrap_12_inner > div:not(:last-child) > div {
        border-bottom: 1px solid #e0e3e7;
    }

}

@media only screen and (max-width: 781px) {

	.wp-block-columns:not(.is-not-stacked-on-mobile).kl-footer-logos > div.wp-block-column {
		flex: 1 1 30% !important;
	}

}

@media only screen and (min-width: 691px) {

	.woocommerce .woocommerce-ordering select {
		max-width: 210px;
	}

}

@media only screen and (max-width: 690px) {

	.woocommerce .container-wrap .woocommerce-ordering {
		margin-bottom: 0;
	}

    .wpb_wrapper h1.vc_custom_heading.kl-home-slogan {
        font-size: .9em !important;
    }

    .wpb_wrapper h2.vc_custom_heading.kl-home-main-title {
        font-size: 44px !important;
    }

    .nectar-split-heading.font_line_height_1-4.kl-home-animated-slogan * {
        line-height: 1.2 !important;
    }

    .kl-home-promises > .row_col_wrap_12_inner > div {
        margin-bottom: 20px !important;
        border-left: 0 !important;
    }

    .kl-home-promises > .row_col_wrap_12_inner > div:nth-child(even) {
        border-left: 1px solid #d9d9d9 !important;
    }

}

@media only screen and (min-width: 1px) and (max-width: 999px) {

	.kl-fancy-lists > div > .vc_column_container:not(:last-of-type) {
		margin-bottom: 0px;
	}

	.kl-fancy-lists > div > .vc_column_container:not(:last-of-type) ul {
		margin-bottom: 10px;
	}

}

@media only screen and (max-width: 480px) {

    .nectar-button.kl-home-icon-button {
        gap: 0;
		padding: 8px 14px !important;
        width: 148px !important;
    }

    .nectar-button.see-through.kl-home-icon-button {
        padding: 6px 12px !important;
        width: 138px !important;
    }

	.nectar-button.kl-home-icon-button span {
		margin-top: 2px !important;
		font-size: 14px !important;
	}

	.nectar-button.kl-home-icon-button i {
		font-size: 20px !important;
	}

}

/* CAPTCHA */
.grecaptcha-badge {
	visibility: hidden;
}
